[data-selection] {
    position: relative;

    &.open {
        z-index: 50;

        [data-selection-content] {
            opacity: 1;
            visibility: visible;
        }
    }
}

[data-selection-input] {
    top: 0;
    left: 0;
    width: 1px;
    height: 1px;
    z-index: -1;
    opacity: 0;
    visibility: hidden;
    position: absolute;
}

[data-selection-toggle] {
    cursor: pointer;
}

[data-selection-content] {
    top: 100%;
    left: 0;
    margin-top: rem(4);
    min-width: 100%;
    z-index: 100;
    opacity: 0;
    visibility: hidden;
    position: absolute;
}


.selection {

    &__button {
        cursor: pointer;
        border-radius: 6px;
        background: #F2F5F7;
        border: 1px solid #F2F5F7;
        padding: 0 rem(30) 0 rem(12);
    }

    &__arrow {
        top: rem(20);
        right: rem(16);
        width: 11px;
        height: 9px;
        fill: #656565;
        font-size: 0;
        line-height: 0;
        position: absolute;
    }

    &__active {
        max-width: 100%;
        height: rem(46);
        display: flex;
        align-items: center;
        overflow: hidden;
        text-overflow: ellipsis;
    }

    &__icon {
        font-size: 0;
        line-height: 0;
        width: rem(28);
        flex-shrink: 0;
    }

    &__text {
        padding-left: rem(10);
        white-space: nowrap;
        max-width: 100%;
    }

    &__content {
        background: $white;
        border-radius: 6px;
        border: 1px solid #D9D9D9;
    }

    &__list {
        max-height: rem(290);
    }

    &__item {
        cursor: pointer;
        height: rem(48);
        padding: rem(4) rem(12);
        display: flex;
        align-items: center;

        &:hover {
            background: #F2F5F7;
        }
    }

    &.open {

        .selection {

            &__button {
                border-color: #D9D9D9;
            }

            &__arrow {
                transform: rotate(180deg);
            }
        }
    }
}
